Skip to main content

Tokens

View as Markdown

Manage security settings for Accounts and Workspaces

Update Token GA

PATCH /api/2.0/token/{token_id}

Updates the comment or scopes of a token.

If a token with the specified ID is not valid, this call returns an error NOT_FOUND.

API scopes: authentication

Parameters

token_idstringpath

The SHA-256 hash of the token to be updated.

Request body

tokenobject
Show child attributesHide child attributes
token_idstring

The ID of this token.

creation_timeint64

Server time (in epoch milliseconds) when the token was created.

expiry_timeint64

Server time (in epoch milliseconds) when the token will expire, or -1 if not applicable.

commentstring

Comment the token was created with, if applicable.

scopesarray of string

Scope of the token was created with, if applicable.

update_maskstring

A list of field name under token, For example, {"update_mask": "comment,scopes"}